GET /accounts/{id}/instagram/business-discovery

Public profile and recent media of a Business or Creator account. Meta serves it to Instagram accounts connected through Facebook Login only: Postgale's Instagram Login accounts answer 400 with the code named here (mock mode returns sample data): instagram_business_discovery_requires_facebook_login

GET
/accounts/{id}/instagram/business-discovery

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Instagram account id

Query Parameters

username*string

Handle, with or without @

limit?integer

Maximum items (default 12, max 50)

Range1 <= value <= 50
Default12

Response Body

{profile, media}

application/json
  1. response
profile?
media?array<>
Example Request
curl -X GET 'https://example.com/api/v1/accounts/string/instagram/business-discovery?username=string'
Example Response
{  "profile": {},  "media": [    {}  ]}